[Numpy-discussion] f2py error with ifort

Marek Wojciechowski wojciechowski_m@o2...
Sat Nov 8 14:55:01 CST 2008


Dnia sobota 08 listopad 2008, numpy-discussion-request@scipy.org napisał:
> > Hi!
> > I'm trying to compile fortran code with f2py using the --fcompiler=intel
> > flag but the follwoing weird error occurs:
> >
> > Found executable /opt/intel/fce/10.0.026/bin/ifort
> > warning: build_ext: f77_compiler=intel is not available.
> > building '_beameb' extension
> > error: extension '_beameb' has Fortran sources but no Fortran compiler
> > found
> >
> > This is in numpy 1.2.0. In previous verisions the compilation worked
> > fine. What happened?
>
> Are you on a 64-bit platform? The /opt/intel/fce/ directory suggests
> that you are. You need to use --fcompiler=intelem instead. You can see
> the available Fortran compilers with
>
>   $ python setup.py config_fc --help-fcompiler

Yes, you're right, i'm on 64-bit platform. Setting --fcompiler=intelem solved 
the problem. 

Thanks!

-- 
Marek Wojciechowski


More information about the Numpy-discussion mailing list